import { Form } from '../../e2elib/lib/src/pageobjects/form.component';
import { ListSOP } from '../../libappsop/listsop';
import { DialogDummy } from '../dialogs/dialog.dummy';

export class FormUnitAccount extends Form {
  public listAccount = new ListUnitAccounts();

  public constructor() {
    super('FormUnitAccounts');
  }
}

// Unit accounts list is read-only, not able create/edit/delete account thus pass DialogDummy for initialization.
class ListUnitAccounts extends ListSOP<DialogDummy, ListUnitAccountsColumn> {

  public constructor() {
    super('FormUnitAccounts.ListAccounts', new DialogDummy());

    // Set primary key column name(s), to display in error message when assert fails
    this.rowPrimaryColumnNames = {Account: ''};
  }
}

export interface ListUnitAccountsColumn {
  Account?: string;
  'Default value'?: string;
  'Default UoM'?: string;
}
